[![style: lint](https://img.shields.io/badge/style-lint-4BC0F5.svg)](https://pub.dev/packages/lint)

# *Faiadashu™ FHIRDash* — Widgets for Digital Health

## Mission
Build beautiful healthcare apps fast — use the Flutter™ SDK and follow the HL7® FHIR® standard.

## Features
* **A ready-made Widget to fill FHIR® Questionnaires.**
* Formatted and localized output of clinical observations
* Formatted and localized output of dates / times
* Localized output of clinical codings
* Development tree view to introspect clinical and administrative data structures
  
## Gallery
### Filler for FHIR Questionnaires
![Swift walk-through](https://user-images.githubusercontent.com/16414047/113286611-bdd93d00-92ec-11eb-9c7d-fd72dd0b99fe.gif)

**Click link below for extended, narrated video**

[Demo Video on YT](https://youtu.be/k9vEy9Z_L18)

### Display formatted, localized observations
![Screenshot](https://user-images.githubusercontent.com/16414047/112978818-12977f00-9158-11eb-8e1c-6772dcc3270a.png)

### Supported versions of Flutter™ SDK
This library depends on Flutter™ SDK 2.0, or later. It is null-safe. It cannot be used with earlier versions of the SDK.

### Related projects
[![Pub Version](https://img.shields.io/pub/v/fhir?label=pub.dev&labelColor=333940&logo=dart)](https://pub.dev/packages/fhir)
This is a user interface add-on to the "fhir" library: https://pub.dev/packages/fhir

Apart from this major dependency this library aims to be as unopinionated as possible and permit its use with many
state management and persistence frameworks.

### Contributing
Contributions and discussions are welcome! This is currently not well-defined yet. I will soon post an invite link to the awesome FHIR-FLI
Slack channel which is run by some like-minded folks and where I can be frequently found.


### License
MIT License

Copyright (c) 2021 Tilo Christ

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all
copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.

### The FHIR® trademark
FHIR® is the registered trademark of HL7 and is used with the permission of HL7. Use of the FHIR trademark does not constitute endorsement of this product by HL7.

### The Flutter™ trademark
Flutter and the related logo are trademarks of Google LLC. We are not endorsed by or affiliated with Google LLC.

### Compliance with the HL7® FHIR® standard
This SDK supports a subset of the FHIR R4 specification,
with additional support for a subset of the SDC (Structured Data Capture) profile.

All statements about compliance with a particular FHIR standard are deemed truthful and made as a matter of Fair Use.

### Contained content from HL7® and FHIR®
This material contains content from the FHIR specification. Further information about the license terms can be found here: https://www.hl7.org/fhir/license.html

Use of this content does not constitute endorsement by HL7.

### Contained content from LOINC
This material contains content from LOINC (https://loinc.org). LOINC is copyright © 1995-2020, Regenstrief Institute, Inc. and the Logical Observation Identifiers Names and Codes (LOINC) Committee and is available at no cost under the license at https://loinc.org/license. LOINC® is a registered United States trademark of Regenstrief Institute, Inc.

#### Third-Party Content
This product includes all or a portion of the UCUM table, UCUM codes, and UCUM definitions or is derived from it, subject to a license from Regenstrief Institute, Inc. and The UCUM Organization. Your use of the UCUM table, UCUM codes, UCUM definitions also is subject to this license, a copy of which is available at https://unitsofmeasure.org. The current complete UCUM table, UCUM Specification are available for download at https://unitsofmeasure.org. The UCUM table and UCUM codes are copyright © 1995-2020, Regenstrief Institute, Inc. and the Unified Codes for Units of Measures (UCUM) Organization. All rights reserved. THE UCUM TABLE (IN ALL FORMATS), UCUM DEFINITIONS, AND SPECIFICATION ARE PROVIDED "AS IS". ANY EXPRESS OR IMPLIED WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.

### Contained content from OpenHIE
This material contains content from OpenHIE, which is licensed under a [Creative Commons Attribution 4.0 International License](https://creativecommons.org/licenses/by/4.0/).
Further information about OpenHIE community of practice and its mission can be found here: [OpenHIE Contribution Policy](https://wiki.ohie.org/display/documents/OpenHIE+Contribution+Policy).
